searchNodes=[{"doc":"Recase allows you to convert string from any to any case.This module contains public interface.","ref":"Recase.html","title":"Recase","type":"module"},{"doc":"Converts string to camelCase.Examplesiex&gt; Recase.to_camel(&quot;some-value&quot;) &quot;someValue&quot; iex&gt; Recase.to_camel(&quot;Some Value&quot;) &quot;someValue&quot;","ref":"Recase.html#to_camel/1","title":"Recase.to_camel/1","type":"function"},{"doc":"Converts string to CONSTANT_CASE.Examplesiex&gt; Recase.to_constant(&quot;SomeValue&quot;) &quot;SOME_VALUE&quot; iex&gt; Recase.to_constant(&quot;some value&quot;) &quot;SOME_VALUE&quot;","ref":"Recase.html#to_constant/1","title":"Recase.to_constant/1","type":"function"},{"doc":"Converts string to dot.caseExamplesiex&gt; Recase.to_dot(&quot;SomeValue&quot;) &quot;some.value&quot; iex&gt; Recase.to_dot(&quot;some value&quot;) &quot;some.value&quot;","ref":"Recase.html#to_dot/1","title":"Recase.to_dot/1","type":"function"},{"doc":"Converts string to Header-CaseExamplesiex&gt; Recase.to_header(&quot;SomeValue&quot;) &quot;Some-Value&quot;iex&gt; Recase.to_header(&quot;some value&quot;) &quot;Some-Value&quot;","ref":"Recase.html#to_header/1","title":"Recase.to_header/1","type":"function"},{"doc":"Converts string to kebab-case.Examplesiex&gt; Recase.to_kebab(&quot;SomeValue&quot;) &quot;some-value&quot; iex&gt; Recase.to_kebab(&quot;some value&quot;) &quot;some-value&quot;","ref":"Recase.html#to_kebab/1","title":"Recase.to_kebab/1","type":"function"},{"doc":"Converts string to Name CaseExamplesiex&gt; Recase.to_name(&quot;mccarthy o'donnell&quot;) &quot;McCarthy O'Donnell&quot;iex&gt; Recase.to_name(&quot;von streit&quot;) &quot;von Streit&quot;","ref":"Recase.html#to_name/1","title":"Recase.to_name/1","type":"function"},{"doc":"Converts string to PascalCase (aka UpperCase).Examplesiex&gt; Recase.to_pascal(&quot;some-value&quot;) &quot;SomeValue&quot; iex&gt; Recase.to_pascal(&quot;some value&quot;) &quot;SomeValue&quot;","ref":"Recase.html#to_pascal/1","title":"Recase.to_pascal/1","type":"function"},{"doc":"","ref":"Recase.html#to_path/1","title":"Recase.to_path/1","type":"function"},{"doc":"Converts string to path/case.Examplesiex&gt; Recase.to_path(&quot;SomeValue&quot;) &quot;Some/Value&quot; iex&gt; Recase.to_path(&quot;some value&quot;, &quot;\\\\&quot;) &quot;some\\\\value&quot;","ref":"Recase.html#to_path/2","title":"Recase.to_path/2","type":"function"},{"doc":"Converts string to Sentence caseExamplesiex&gt; Recase.to_sentence(&quot;SomeValue&quot;) &quot;Some value&quot; iex&gt; Recase.to_sentence(&quot;some value&quot;) &quot;Some value&quot;","ref":"Recase.html#to_sentence/1","title":"Recase.to_sentence/1","type":"function"},{"doc":"Converts string to snake_case.Examplesiex&gt; Recase.to_snake(&quot;some-value&quot;) &quot;some_value&quot; iex&gt; Recase.to_snake(&quot;someValue&quot;) &quot;some_value&quot;","ref":"Recase.html#to_snake/1","title":"Recase.to_snake/1","type":"function"},{"doc":"Converts string to Title CaseExamplesiex&gt; Recase.to_title(&quot;SomeValue&quot;) &quot;Some Value&quot; iex&gt; Recase.to_title(&quot;some value&quot;) &quot;Some Value&quot;","ref":"Recase.html#to_title/1","title":"Recase.to_title/1","type":"function"},{"doc":"See Recase.to_snake/1.","ref":"Recase.html#underscore/1","title":"Recase.underscore/1","type":"function"},{"doc":"Module to convert strings to camelCase.This module should not be used directly.Examplesiex&gt; Recase.to_camel &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;fooBarBazΛambdaΛambdaПриветМир&quot;Read about camelCase here: https://en.wikipedia.org/wiki/Camel_case","ref":"Recase.CamelCase.html","title":"Recase.CamelCase","type":"module"},{"doc":"","ref":"Recase.CamelCase.html#convert/1","title":"Recase.CamelCase.convert/1","type":"function"},{"doc":"Module to convert strings to CONSTANT_CASE.This module should not be used directly.Examplesiex&gt; Recase.to_constant &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;FOO_BAR_BAZ_ΛAMBDA_ΛAMBDA_ПРИВЕТ_МИР&quot;Constant case is the same as snake_case, but uppercased.","ref":"Recase.ConstantCase.html","title":"Recase.ConstantCase","type":"module"},{"doc":"","ref":"Recase.ConstantCase.html#convert/1","title":"Recase.ConstantCase.convert/1","type":"function"},{"doc":"Module to convert strings to dot.case.This module should not be used directly.Examplesiex&gt; Recase.to_dot &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo.bar.baz.λambda.λambda.привет.мир&quot;DotCase is the same as KebabCase and SnakeCase. But uses . as a separator.","ref":"Recase.DotCase.html","title":"Recase.DotCase","type":"module"},{"doc":"","ref":"Recase.DotCase.html#convert/1","title":"Recase.DotCase.convert/1","type":"function"},{"doc":"Helper module to convert enumerable keys recursively.","ref":"Recase.Enumerable.html","title":"Recase.Enumerable","type":"module"},{"doc":"Invoke fun for each keys of the enumerable and cast keys to atoms.","ref":"Recase.Enumerable.html#atomize_keys/1","title":"Recase.Enumerable.atomize_keys/1","type":"function"},{"doc":"","ref":"Recase.Enumerable.html#atomize_keys/2","title":"Recase.Enumerable.atomize_keys/2","type":"function"},{"doc":"Invoke fun for each keys of the enumerable.","ref":"Recase.Enumerable.html#convert_keys/1","title":"Recase.Enumerable.convert_keys/1","type":"function"},{"doc":"","ref":"Recase.Enumerable.html#convert_keys/2","title":"Recase.Enumerable.convert_keys/2","type":"function"},{"doc":"","ref":"Recase.Enumerable.html#stringify_keys/1","title":"Recase.Enumerable.stringify_keys/1","type":"function"},{"doc":"","ref":"Recase.Enumerable.html#stringify_keys/2","title":"Recase.Enumerable.stringify_keys/2","type":"function"},{"doc":"Generic module to split and join strings back or convert strings to atoms. This module should not be used directly.","ref":"Recase.Generic.html","title":"Recase.Generic","type":"module"},{"doc":"Splits the input and rejoins it with a separator given. Optionally converts parts to downcase, upcase or titlecase.opts[:case] :: [:down | :up | :title | :none]opts[:separator] :: binary() | integer() Default separator is ?_, default conversion is :downcase so that it behaves the same way as to_snake/1.Examples iex&gt; Recase.Generic.rejoin &quot;foobarBaz-λambdaΛambda-привет-Мир&quot;, separator: &quot;_&quot; &quot;foobarbazλambdaλambdaприветмир&quot;","ref":"Recase.Generic.html#rejoin/2","title":"Recase.Generic.rejoin/2","type":"function"},{"doc":"Atomizes a string value. Uses an existing atom if possible.","ref":"Recase.Generic.html#safe_atom/1","title":"Recase.Generic.safe_atom/1","type":"function"},{"doc":"Splits the input into list. Utility function.Examplesiex&gt; Recase.Generic.split &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; [&quot;foo&quot;, &quot;bar&quot;, &quot;Baz&quot;, &quot;λambda&quot;, &quot;Λambda&quot;, &quot;привет&quot;, &quot;Мир&quot;]","ref":"Recase.Generic.html#split/1","title":"Recase.Generic.split/1","type":"function"},{"doc":"Module to convert strings to Header-Case.This module should not be used directly.Examplesiex&gt; Recase.to_header &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;Foo-Bar-Baz-Λambda-Λambda-Привет-Мир&quot;Header case is the case suggested in [section 3.4.7 of RFC 822] (https://tools.ietf.org/html/rfc822#section-3.4.7) to be used in the message-creation process.","ref":"Recase.HeaderCase.html","title":"Recase.HeaderCase","type":"module"},{"doc":"","ref":"Recase.HeaderCase.html#convert/1","title":"Recase.HeaderCase.convert/1","type":"function"},{"doc":"Module to convert strings to kebab-case.This module should not be used directly.Examplesiex&gt; Recase.to_kebab &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo-bar-baz-λambda-λambda-привет-мир&quot;Read about kebab-case here: https://en.wikipedia.org/wiki/Kebab_case","ref":"Recase.KebabCase.html","title":"Recase.KebabCase","type":"module"},{"doc":"","ref":"Recase.KebabCase.html#convert/1","title":"Recase.KebabCase.convert/1","type":"function"},{"doc":"Module to convert strings to Name Case.This module should not be used directly.Examplesiex&gt; Recase.to_name &quot;mccarthy o&#39;donnell&quot; &quot;McCarthy O&#39;Donnell&quot;Read about Name Case here: https://metacpan.org/pod/Lingua::EN::NameCase","ref":"Recase.NameCase.html","title":"Recase.NameCase","type":"module"},{"doc":"","ref":"Recase.NameCase.html#convert/1","title":"Recase.NameCase.convert/1","type":"function"},{"doc":"Module to convert strings to PascalCase aka UpperCase.This module should not be used directly.Examplesiex&gt; Recase.to_pascal &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;FooBarBazΛambdaΛambdaПриветМир&quot;Read about PascalCase here: https://en.wikipedia.org/wiki/PascalCaseChangedThis name was introduced in version 0.2.0, it was named UpperCase before.But UpperCase was not clear enough. What is uppercase?THIS IS UPPERCASEThisIsAlsoUpperCaseSo, it was decided to rename this module into PascalCase. For other details see: https://github.com/sobolevn/recase/issues/2","ref":"Recase.PascalCase.html","title":"Recase.PascalCase","type":"module"},{"doc":"","ref":"Recase.PascalCase.html#convert/1","title":"Recase.PascalCase.convert/1","type":"function"},{"doc":"Module to convert strings to path/case.This module should not be used directly.Path case preserves the original case, but inserts path separator to appropriate places.By default uses / as a path separator.Examplesiex&gt; Recase.to_path &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo/bar/Baz/λambda/Λambda/привет/Мир&quot;","ref":"Recase.PathCase.html","title":"Recase.PathCase","type":"module"},{"doc":"","ref":"Recase.PathCase.html#convert/2","title":"Recase.PathCase.convert/2","type":"function"},{"doc":"Helper module to pipe and replace values easily.","ref":"Recase.Replace.html","title":"Recase.Replace","type":"module"},{"doc":"Replaces value if it matches regex with new_value.Standard Regex.replace/3 accepts value to replace as the second argument. Which is not quite convenient to use in pipes.This function accepts value as the first argument and then passes it to Regex.replace/3 as the second one.","ref":"Recase.Replace.html#replace/3","title":"Recase.Replace.replace/3","type":"function"},{"doc":"Module to convert strings to Sentence case.This module should not be used directly.Examplesiex&gt; Recase.to_sentence &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;Foo bar baz λambda λambda привет мир&quot;Read about Sentence case here: https://en.wikipedia.org/wiki/Letter_case#Sentence_case","ref":"Recase.SentenceCase.html","title":"Recase.SentenceCase","type":"module"},{"doc":"","ref":"Recase.SentenceCase.html#convert/1","title":"Recase.SentenceCase.convert/1","type":"function"},{"doc":"Module to convert strings to snake_case.This module should not be used directly.Examplesiex&gt; Recase.to_snake &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo_bar_baz_λambda_λambda_привет_мир&quot; iex&gt; Recase.underscore &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo_bar_baz_λambda_λambda_привет_мир&quot;Read about snake_case here: https://en.wikipedia.org/wiki/Snake_case","ref":"Recase.SnakeCase.html","title":"Recase.SnakeCase","type":"module"},{"doc":"","ref":"Recase.SnakeCase.html#convert/1","title":"Recase.SnakeCase.convert/1","type":"function"},{"doc":"Module to convert strings to Title Case.This module should not be used directly.NB! at the moment has no stop words: titleizes everythingExamplesiex&gt; Recase.to_title &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;Foo Bar Baz Λambda Λambda Привет Мир&quot;Read about Title Case here: https://en.wikipedia.org/wiki/Letter_case#Title_case","ref":"Recase.TitleCase.html","title":"Recase.TitleCase","type":"module"},{"doc":"","ref":"Recase.TitleCase.html#convert/1","title":"Recase.TitleCase.convert/1","type":"function"},{"doc":"Recase Recase helps you to convert a string from any case to any case.","ref":"readme.html","title":"Recase","type":"extras"},{"doc":"One can ask: &quot;Why should I use recase when I can use built-in Macro module?&quot;. But, you have to keep in mind that Macro's functions are not suitable for general case usage:Do not use it as a general mechanism for underscoring or camelizing strings as it does not support Unicode or characters that are not valid in Elixir identifiers.","ref":"readme.html#why","title":"Recase - Why?","type":"extras"},{"doc":"def deps do [{:recase, &quot;~&gt; 0.5&quot;}] end","ref":"readme.html#installation","title":"Recase - Installation","type":"extras"},{"doc":"PascalPascal (or Upper) case uses mixed case with lower and upper cased characters. Separates words from each other with the upper case letters. Starts with upper case letter.Recase.to_pascal(&quot;some-value&quot;) # =&gt; &quot;SomeValue&quot; Recase.to_pascal(&quot;Some value&quot;) # =&gt; &quot;SomeValue&quot;CamelCamel case uses mixed case with lower and upper cased characters. Separates words from each other with the upper cased letters. Starts with lower case letter.Recase.to_camel(&quot;some-value&quot;) # =&gt; &quot;someValue&quot; Recase.to_camel(&quot;Some Value&quot;) # =&gt; &quot;someValue&quot;SnakeSnake cases uses all lower case. Uses _ as a separator.Recase.to_snake(&quot;someValue&quot;) # =&gt; &quot;some_value&quot; Recase.to_snake(&quot;Some Value&quot;) # =&gt; &quot;some_value&quot;KebabKebab cases uses all lower case. Uses - as a separator.Recase.to_kebab(&quot;someValue&quot;) # =&gt; &quot;some-value&quot; Recase.to_kebab(&quot;Some Value&quot;) # =&gt; &quot;some-value&quot;ConstantConstant case uses all upper case. Uses _ as a separator.Recase.to_constant(&quot;SomeValue&quot;) # =&gt; &quot;SOME_VALUE&quot; Recase.to_constant(&quot;some value&quot;) # =&gt; &quot;SOME_VALUE&quot;DotDot case uses all lower case similar to snake case. Uses . as a separator.Recase.to_dot(&quot;SomeValue&quot;) # =&gt; &quot;some.value&quot; Recase.to_dot(&quot;some value&quot;) # =&gt; &quot;some.value&quot;PathPath case preserves case, you can also provide a separator as the second argument.Recase.to_path(&quot;SomeValue&quot;) # =&gt; &quot;Some/Value&quot; Recase.to_path(&quot;some value&quot;, &quot;\\\\&quot;) # =&gt; &quot;some\\\\value&quot;SentenceSentence case uses the same rules as regular sentence. First letter is uppercase all others letters are lowercase separated by spaces.Recase.to_sentence(&quot;SomeValue&quot;) # =&gt; &quot;Some value&quot; Recase.to_sentence(&quot;some value&quot;) # =&gt; &quot;Some value&quot;TitleTitle case applies a &quot;Title Style&quot; to all words in a sentence.Recase.to_title(&quot;some-value&quot;) # =&gt; &quot;Some Value&quot; Recase.to_title(&quot;some value&quot;) # =&gt; &quot;Some Value&quot;HeaderHeader case uses the same case as PascalCase, while using - as a separator.Recase.to_header(&quot;SomeValue&quot;) # =&gt; &quot;Some-Value&quot; Recase.to_header(&quot;some value&quot;) # =&gt; &quot;Some-Value&quot;EnumerableYou can convert all keys in an enumerable with:Recase.Enumerable.convert_keys( %{&quot;yourKey&quot; =&gt; &quot;value&quot;}, &amp;Recase.to_snake/1 ) # =&gt; %{&quot;your_key&quot; =&gt; &quot;value&quot;} Recase.Enumerable.convert_keys( %{&quot;your_key&quot; =&gt; &quot;value&quot;}, &amp;Recase.to_camel/1 ) # =&gt; %{&quot;yourKey&quot; =&gt; &quot;value&quot;} Recase.Enumerable.atomize_keys( %{&quot;yourKey&quot; =&gt; &quot;value&quot;}, &amp;Recase.to_snake/1 ) # =&gt; %{your_key: &quot;value&quot;} Recase.Enumerable.atomize_keys( %{&quot;your_key&quot; =&gt; &quot;value&quot;}, &amp;Recase.to_camel/1 ) # =&gt; %{yourKey: &quot;value&quot;}","ref":"readme.html#usage","title":"Recase - Usage","type":"extras"},{"doc":"Full changelog is available here.","ref":"readme.html#changelog","title":"Recase - Changelog","type":"extras"},{"doc":"MIT. See LICENSE.md for more details.","ref":"readme.html#license","title":"Recase - License","type":"extras"},{"doc":"Thanks to Gyan Lakhwani for the logo.","ref":"readme.html#thanks","title":"Recase - Thanks","type":"extras"}]